﻿
local metadata = {
"## Interface: 1.4.2.0 1.4.2RC1",
"## Title: NoGrass",
"## Notes: Gras entfernen bei platzierbaren Objekten",
"## Author: Marhu",
"## Version: 1.0.0-4",
"## Date: 13.05.2016",
"## Web: http://marhu.net"
}

NoGrass = {};
NoGrass_mt = Class(NoGrass, Placeable);
InitObjectClass(NoGrass, "NoGrass");

function NoGrass:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, NoGrass_mt);
    registerObjectClassName(self, "NoGrass");
	
	return self;
end;

function NoGrass:delete()
  	if self.trigger and self.trigger.triggerId ~= 0 then
		self.trigger:delete();
	end
	unregisterObjectClassName(self);
    NoGrass:superClass().delete(self);
end;

function NoGrass:deleteFinal()
    NoGrass:superClass().deleteFinal(self);
end;

function NoGrass:load(xmlFilename, x,y,z, rx,ry,rz, initRandom)
    if not NoGrass:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, initRandom) then
        return false;
    end;


	self.xmlFile = loadXMLFile("TempXML", xmlFilename);
	  
	return true;
end;

function NoGrass:finalizePlacement(x, y, z, rx, ry, rz, initRandom)
	NoGrass:superClass().finalizePlacement(self)
	
	local AreaIndex = getXMLString(self.xmlFile, "placeable.Area#Index");
	if AreaIndex ~= nil and AreaIndex ~= "" then         
		local AreaStart = Utils.indexToObject(self.nodeId, AreaIndex);
		if AreaStart ~= nil then
			self.Area = {}
			self.Area.start  = AreaStart;
			self.Area.width	 = getChildAt(AreaStart,0);
			self.Area.height = getChildAt(AreaStart,1);
			local x,_,z = getWorldTranslation(self.Area.start);
			local x1,_,z1 = getWorldTranslation(self.Area.width);
			local x2,_,z2 = getWorldTranslation(self.Area.height);
			
			Utils.updateDestroyCommonArea(x, z, x1, z1, x2, z2);
		end;
	end;
	
  
	return true;
end;

function NoGrass:update(dt)
end;

registerPlaceableType("NoGrass", NoGrass);



 

